--- title: "Set TLS protocol version" slug: "edge-putcertificateslotidtls" updated: 2026-10-08T04:16:37Z published: 2026-10-08T04:16:37Z canonical: "api.ncloud-docs.com/edge-putcertificateslotidtls" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Set TLS protocol version Available in Classic and VPC Change the TLS protocol support version of a provisioned certificate. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /api/v1/certificate/provisioning/{slotId}/certificates/tls | ### Request headers For information about the request headers common to all Global Edge APIs, see [Global Edge request headers](/docs/en/edge-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `slotId` | Long | Required | Certificate slot ID - See [Get certificate list](/docs/en/edge-getcertificatelist). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `tlsVersion` | String | Required | TLS protocol supported version - `TLS_ALL_VERSIONS` \| `TLS_MIN_VERSION_1_2` - `TLS_ALL_VERSIONS`: All TLS versions - `TLS_MIN_VERSION_1_2`: TLS 1.2 or later (recommended) | | `cipherProfile` | String | Required | Active password profile - `DEFAULT` \| `GENERAL` \| `STRICT` - `DEFAULT`: GE-DEFAULT-v1 - `GENERAL`: GE-GENERAL-v1 - `STRICT`: GE-STRICT-v1 - If `tlsVersion` is `TLS_ALL_VERSIONS`, `STRICT` can't be used. | ### Request example The request example is as follows: ``` curl --location --request PUT 'https://edge.apigw.ntruss.com/api/v1/certificate/provisioning/69/certificates/tls' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "tlsVersion": "TLS_MIN_VERSION_1_2", "cipherProfile": "GENERAL" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `message` | String | - | Response message | | `result` | Boolean | - | Response result - `true` \| `false` - `true`: Succeeded - `false`: Failed | ### Response status codes For information about the response status codes common to all Global Edge APIs, see [Global Edge response status codes](/docs/en/edge-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0000", "message": "Success", "result": true } ```